Class usually consists of member functions that manipulate the attributes (variables) (not the local variables of a function) that belong to the object of that class. Data members are that variables declared inside a class definition but outside the bodies of the class's member-function definitions. Data members are usually declared with access specifier private which is known as data hiding. When a program creates an object of a class, the data member is encapsulated (hidden) in the object and can be accessed only by member functions of the object's class. Each object of a class maintains its own copy of its attributes in memory.
